import * as $dara from '@darabonba/typescript';
import { DescribePropertyProcDetailResponseBody } from "./DescribePropertyProcDetailResponseBody";
export declare class DescribePropertyProcDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePropertyProcDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
